summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAllen Byrne <byrn@hdfgroup.org>2020-08-25 16:40:37 (GMT)
committerAllen Byrne <byrn@hdfgroup.org>2020-08-25 16:40:37 (GMT)
commit5e91d56e9c77134c3a4087806c247bd4cd0dcfe4 (patch)
tree039f5fae7d7a424da43da3a5970f1238dbcc63d9
parentd1e1bee50921087fbb0a7feceed144c12040be1a (diff)
parentd2f58a6468be9d5e10d10d439ae905f7825e74e7 (diff)
downloadhdf5-5e91d56e9c77134c3a4087806c247bd4cd0dcfe4.zip
hdf5-5e91d56e9c77134c3a4087806c247bd4cd0dcfe4.tar.gz
hdf5-5e91d56e9c77134c3a4087806c247bd4cd0dcfe4.tar.bz2
Merge pull request #2838 in HDFFV/hdf5 from ~BYRN/hdf5_adb:hdf5_1_12 to hdf5_1_12
* commit 'd2f58a6468be9d5e10d10d439ae905f7825e74e7': Add back function for VERIFY_EXTERNAL_CONSOLIDATION
-rw-r--r--tools/test/h5repack/h5repack.sh.in20
1 files changed, 20 insertions, 0 deletions
diff --git a/tools/test/h5repack/h5repack.sh.in b/tools/test/h5repack/h5repack.sh.in
index 02f515c..18e6d86 100644
--- a/tools/test/h5repack/h5repack.sh.in
+++ b/tools/test/h5repack/h5repack.sh.in
@@ -678,6 +678,26 @@ VERIFY_INVALIDBOUNDS()
} # end of VERIFY_INVALIDBOUNDS
# -----------------------------------------------------------------------------
+# Expect h5diff to fail
+# Use only by VERIFY_EXTERNAL_CONSOLIDATION
+# -----------------------------------------------------------------------------
+DIFFFAIL()
+{
+ VERIFY h5diff unequal $@
+ (
+ cd $TESTDIR
+ $RUNSERIAL $H5DIFF_BIN -q "$@"
+ )
+ RET=$?
+ if [ $RET == 0 ] ; then
+ echo "*FAILED*"
+ nerrors="`expr $nerrors + 1`"
+ else
+ echo " PASSED"
+ fi
+}
+
+# -----------------------------------------------------------------------------
# Catchall test for repacking with external files
# Loops over all (internally-listed) cases and applies the given arguments
# to h5repack.